C#
// DELETE /v1/b2b/organizations/{organization_id}/external_id
const stytch = require('stytch');
const client = new stytch.B2BClient({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
organization_id: "TODO_MISSING_EXAMPLE_VALUE",
};
const options = {
authorization: {
session_token: '${sessionToken}',
},
};
client.Organizations.DeleteExternalId(params, options)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });// DELETE /v1/b2b/organizations/{organization_id}/external_id
package main
import (
"context"
"log"
"github.com/stytchauth/stytch-go/v18/stytch/b2b/b2bstytchapi"
"github.com/stytchauth/stytch-go/v18/stytch/b2b/organizations"
"github.com/stytchauth/stytch-go/v18/stytch/methodoptions"
)
func main() {
client, err := b2bstytchapi.NewClient(
"${projectId}",
"${secret}",
)
if err != nil {
log.Fatalf("error instantiating client: %v", err)
}
params := &organizations.DeleteExternalIDParams{
OrganizationID: "TODO_MISSING_EXAMPLE_VALUE",
}
options := &organizations.DeleteExternalIDParamsOptions{
Authorization: methodoptions.Authorization{
SessionToken: "${sessionToken}",
},
}
resp, err := client.Organizations.DeleteExternalID(context.Background(), params, options)
if err != nil {
log.Fatalf("error in method call: %v", err)
}
log.Println(resp)
}// DELETE /v1/b2b/organizations/{organization_id}/external_id
package com.example;
import com.stytch.java.b2b.models.organizations.DeleteExternalIdRequest;
import com.stytch.java.b2b.models.organizations.DeleteExternalIdRequestOptions;
import com.stytch.java.b2b.StytchB2BClient;
import com.stytch.java.common.methodoptions.Authorization;
import com.stytch.java.common.StytchResult;
public class Main {
public static void main(String[] args) {
StytchB2BClient.configure("${projectId}", "${secret}");
DeleteExternalIdRequest params = new DeleteExternalIdRequest();
params.setOrganizationId("TODO_MISSING_EXAMPLE_VALUE");
DeleteExternalIdRequestOptions options = new DeleteExternalIdRequestOptions();
Authorization authorization = new Authorization();
authorization.setSessionToken("${sessionToken}");
options.setAuthorization(authorization);
Object result = StytchB2BClient.getOrganizations().deleteExternalId(params, options);
if (result instanceof StytchResult.Success) {
System.out.println(((StytchResult.Success) result).getValue());
} else {
System.out.println(((StytchResult.Error) result).getException());
}
}
}// DELETE /v1/b2b/organizations/{organization_id}/external_id
package com.example
import com.stytch.java.b2b.StytchB2BClient
import com.stytch.java.b2b.models.organizations.DeleteExternalIdRequest
import com.stytch.java.b2b.models.organizations.DeleteExternalIdRequestOptions
import com.stytch.java.common.methodoptions.Authorization
fun main() {
StytchB2BClient.configure(
projectId = "${projectId}",
secret = "${secret}",
)
when (
val result =
StytchB2BClient.organizations.deleteExternalId(
DeleteExternalIdRequest(
organizationId = "TODO_MISSING_EXAMPLE_VALUE",
),
DeleteExternalIdRequestOptions(
Authorization(
sessionToken = "${sessionToken}",
),
),
)
) {
is StytchResult.Success -> println(result.value)
is StytchResult.Error -> println(result.exception)
}
}// DELETE /v1/b2b/organizations/{organization_id}/external_id
const stytch = require('stytch');
const client = new stytch.B2BClient({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
organization_id: "TODO_MISSING_EXAMPLE_VALUE",
};
const options = {
authorization: {
session_token: '${sessionToken}',
},
};
client.organizations.deleteExternalId(params, options)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });$response = $client->organizations->delete_external_id([
'organization_id' => 'TODO_MISSING_EXAMPLE_VALUE',
], [
'authorization' => ['session_token' => '${sessionToken}'],
]);# DELETE /v1/b2b/organizations/{organization_id}/external_id
from stytch import B2BClient
from stytch.b2b.models.organizations import DeleteExternalIdRequestOptions
from stytch.shared.method_options import Authorization
client = B2BClient(
project_id="${projectId}",
secret="${secret}",
)
resp = client.organizations.delete_external_id(
organization_id="TODO_MISSING_EXAMPLE_VALUE",
method_options=DeleteExternalIdRequestOptions(
authorization=Authorization(
session_token="${sessionToken}",
),
),
)
print(resp)# frozen_string_literal: true
# DELETE /v1/b2b/organizations/{organization_id}/external_id
require 'stytch'
client = StytchB2B::Client.new(
project_id: "${projectId}",
secret: "${secret}"
)
resp = client.organizations.delete_external_id(
organization_id: "TODO_MISSING_EXAMPLE_VALUE",
method_options: StytchB2B::Organizations::DeleteExternalIdRequestOptions.new(
authorization: Stytch::MethodOptions::Authorization.new(session_token: '${sessionToken}')
)
)
puts resp// DELETE /v1/b2b/organizations/{organization_id}/external_id
use stytch::b2b::client::Client;
use stytch::b2b::organizations::DeleteExternalIdRequest;
fn main() {
let client = Client::new("${projectId}", "${secret}").unwrap();
let resp = client.organizations.delete_external_id(
DeleteExternalIdRequest{
organization_id: "TODO_MISSING_EXAMPLE_VALUE",
..Default::default()
}
).await;
println!("The response is {:?}", resp);
}# DELETE /v1/b2b/organizations/{organization_id}/external_id
curl --request DELETE \
--url https://test.stytch.com/v1/b2b/organizations/TODO_MISSING_EXAMPLE_VALUE/external_id \
-u '${projectId}:${secret}' \
-H 'Content-Type: application/json' \
-H "X-Stytch-Member-Session: ${sessionToken}"{
"request_id": "<string>",
"organization": {
"organization_id": "<string>",
"organization_name": "<string>",
"organization_logo_url": "<string>",
"organization_slug": "<string>",
"sso_jit_provisioning": "<string>",
"sso_jit_provisioning_allowed_connections": [
"<string>"
],
"sso_active_connections": [
{
"connection_id": "<string>",
"display_name": "<string>",
"identity_provider": "<string>"
}
],
"email_allowed_domains": [
"<string>"
],
"email_jit_provisioning": "<string>",
"email_invites": "<string>",
"auth_methods": "<string>",
"allowed_auth_methods": [
"<string>"
],
"mfa_policy": "<string>",
"rbac_email_implicit_role_assignments": [
{
"domain": "<string>",
"role_id": "<string>"
}
],
"mfa_methods": "<string>",
"allowed_mfa_methods": [
"<string>"
],
"oauth_tenant_jit_provisioning": "<string>",
"claimed_email_domains": [
"<string>"
],
"first_party_connected_apps_allowed_type": "<string>",
"allowed_first_party_connected_apps": [
"<string>"
],
"third_party_connected_apps_allowed_type": "<string>",
"allowed_third_party_connected_apps": [
"<string>"
],
"custom_roles": [
{
"role_id": "<string>",
"description": "<string>",
"permissions": [
{
"resource_id": "<string>",
"actions": [
"<string>"
]
}
]
}
],
"trusted_metadata": {},
"created_at": "<string>",
"updated_at": "<string>",
"organization_external_id": "<string>",
"sso_default_connection_id": "<string>",
"scim_active_connection": {
"connection_id": "<string>",
"display_name": "<string>",
"bearer_token_last_four": "<string>",
"bearer_token_expires_at": "<string>"
},
"allowed_oauth_tenants": {}
},
"status_code": 123
}{
"status_code": 401,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "unauthorized_credentials",
"error_message": "Unauthorized credentials.",
"error_url": "https://stytch.com/docs/api/errors/401"
}{
"status_code": 429,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "too_many_requests",
"error_message": "Too many requests have been made.",
"error_url": "https://stytch.com/docs/api/errors/429"
}{
"status_code": 500,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "internal_server_error",
"error_message": "Oops, something seems to have gone wrong, please reach out to support@stytch.com to let us know what went wrong.",
"error_url": "https://stytch.com/docs/api/errors/500"
}Organizations
Delete Organization External ID
Delete an Organization’s external ID using the Stytch B2B API.
DELETE
/
v1
/
b2b
/
organizations
/
{organization_id}
/
external_id
C#
// DELETE /v1/b2b/organizations/{organization_id}/external_id
const stytch = require('stytch');
const client = new stytch.B2BClient({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
organization_id: "TODO_MISSING_EXAMPLE_VALUE",
};
const options = {
authorization: {
session_token: '${sessionToken}',
},
};
client.Organizations.DeleteExternalId(params, options)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });// DELETE /v1/b2b/organizations/{organization_id}/external_id
package main
import (
"context"
"log"
"github.com/stytchauth/stytch-go/v18/stytch/b2b/b2bstytchapi"
"github.com/stytchauth/stytch-go/v18/stytch/b2b/organizations"
"github.com/stytchauth/stytch-go/v18/stytch/methodoptions"
)
func main() {
client, err := b2bstytchapi.NewClient(
"${projectId}",
"${secret}",
)
if err != nil {
log.Fatalf("error instantiating client: %v", err)
}
params := &organizations.DeleteExternalIDParams{
OrganizationID: "TODO_MISSING_EXAMPLE_VALUE",
}
options := &organizations.DeleteExternalIDParamsOptions{
Authorization: methodoptions.Authorization{
SessionToken: "${sessionToken}",
},
}
resp, err := client.Organizations.DeleteExternalID(context.Background(), params, options)
if err != nil {
log.Fatalf("error in method call: %v", err)
}
log.Println(resp)
}// DELETE /v1/b2b/organizations/{organization_id}/external_id
package com.example;
import com.stytch.java.b2b.models.organizations.DeleteExternalIdRequest;
import com.stytch.java.b2b.models.organizations.DeleteExternalIdRequestOptions;
import com.stytch.java.b2b.StytchB2BClient;
import com.stytch.java.common.methodoptions.Authorization;
import com.stytch.java.common.StytchResult;
public class Main {
public static void main(String[] args) {
StytchB2BClient.configure("${projectId}", "${secret}");
DeleteExternalIdRequest params = new DeleteExternalIdRequest();
params.setOrganizationId("TODO_MISSING_EXAMPLE_VALUE");
DeleteExternalIdRequestOptions options = new DeleteExternalIdRequestOptions();
Authorization authorization = new Authorization();
authorization.setSessionToken("${sessionToken}");
options.setAuthorization(authorization);
Object result = StytchB2BClient.getOrganizations().deleteExternalId(params, options);
if (result instanceof StytchResult.Success) {
System.out.println(((StytchResult.Success) result).getValue());
} else {
System.out.println(((StytchResult.Error) result).getException());
}
}
}// DELETE /v1/b2b/organizations/{organization_id}/external_id
package com.example
import com.stytch.java.b2b.StytchB2BClient
import com.stytch.java.b2b.models.organizations.DeleteExternalIdRequest
import com.stytch.java.b2b.models.organizations.DeleteExternalIdRequestOptions
import com.stytch.java.common.methodoptions.Authorization
fun main() {
StytchB2BClient.configure(
projectId = "${projectId}",
secret = "${secret}",
)
when (
val result =
StytchB2BClient.organizations.deleteExternalId(
DeleteExternalIdRequest(
organizationId = "TODO_MISSING_EXAMPLE_VALUE",
),
DeleteExternalIdRequestOptions(
Authorization(
sessionToken = "${sessionToken}",
),
),
)
) {
is StytchResult.Success -> println(result.value)
is StytchResult.Error -> println(result.exception)
}
}// DELETE /v1/b2b/organizations/{organization_id}/external_id
const stytch = require('stytch');
const client = new stytch.B2BClient({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
organization_id: "TODO_MISSING_EXAMPLE_VALUE",
};
const options = {
authorization: {
session_token: '${sessionToken}',
},
};
client.organizations.deleteExternalId(params, options)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });$response = $client->organizations->delete_external_id([
'organization_id' => 'TODO_MISSING_EXAMPLE_VALUE',
], [
'authorization' => ['session_token' => '${sessionToken}'],
]);# DELETE /v1/b2b/organizations/{organization_id}/external_id
from stytch import B2BClient
from stytch.b2b.models.organizations import DeleteExternalIdRequestOptions
from stytch.shared.method_options import Authorization
client = B2BClient(
project_id="${projectId}",
secret="${secret}",
)
resp = client.organizations.delete_external_id(
organization_id="TODO_MISSING_EXAMPLE_VALUE",
method_options=DeleteExternalIdRequestOptions(
authorization=Authorization(
session_token="${sessionToken}",
),
),
)
print(resp)# frozen_string_literal: true
# DELETE /v1/b2b/organizations/{organization_id}/external_id
require 'stytch'
client = StytchB2B::Client.new(
project_id: "${projectId}",
secret: "${secret}"
)
resp = client.organizations.delete_external_id(
organization_id: "TODO_MISSING_EXAMPLE_VALUE",
method_options: StytchB2B::Organizations::DeleteExternalIdRequestOptions.new(
authorization: Stytch::MethodOptions::Authorization.new(session_token: '${sessionToken}')
)
)
puts resp// DELETE /v1/b2b/organizations/{organization_id}/external_id
use stytch::b2b::client::Client;
use stytch::b2b::organizations::DeleteExternalIdRequest;
fn main() {
let client = Client::new("${projectId}", "${secret}").unwrap();
let resp = client.organizations.delete_external_id(
DeleteExternalIdRequest{
organization_id: "TODO_MISSING_EXAMPLE_VALUE",
..Default::default()
}
).await;
println!("The response is {:?}", resp);
}# DELETE /v1/b2b/organizations/{organization_id}/external_id
curl --request DELETE \
--url https://test.stytch.com/v1/b2b/organizations/TODO_MISSING_EXAMPLE_VALUE/external_id \
-u '${projectId}:${secret}' \
-H 'Content-Type: application/json' \
-H "X-Stytch-Member-Session: ${sessionToken}"{
"request_id": "<string>",
"organization": {
"organization_id": "<string>",
"organization_name": "<string>",
"organization_logo_url": "<string>",
"organization_slug": "<string>",
"sso_jit_provisioning": "<string>",
"sso_jit_provisioning_allowed_connections": [
"<string>"
],
"sso_active_connections": [
{
"connection_id": "<string>",
"display_name": "<string>",
"identity_provider": "<string>"
}
],
"email_allowed_domains": [
"<string>"
],
"email_jit_provisioning": "<string>",
"email_invites": "<string>",
"auth_methods": "<string>",
"allowed_auth_methods": [
"<string>"
],
"mfa_policy": "<string>",
"rbac_email_implicit_role_assignments": [
{
"domain": "<string>",
"role_id": "<string>"
}
],
"mfa_methods": "<string>",
"allowed_mfa_methods": [
"<string>"
],
"oauth_tenant_jit_provisioning": "<string>",
"claimed_email_domains": [
"<string>"
],
"first_party_connected_apps_allowed_type": "<string>",
"allowed_first_party_connected_apps": [
"<string>"
],
"third_party_connected_apps_allowed_type": "<string>",
"allowed_third_party_connected_apps": [
"<string>"
],
"custom_roles": [
{
"role_id": "<string>",
"description": "<string>",
"permissions": [
{
"resource_id": "<string>",
"actions": [
"<string>"
]
}
]
}
],
"trusted_metadata": {},
"created_at": "<string>",
"updated_at": "<string>",
"organization_external_id": "<string>",
"sso_default_connection_id": "<string>",
"scim_active_connection": {
"connection_id": "<string>",
"display_name": "<string>",
"bearer_token_last_four": "<string>",
"bearer_token_expires_at": "<string>"
},
"allowed_oauth_tenants": {}
},
"status_code": 123
}{
"status_code": 401,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "unauthorized_credentials",
"error_message": "Unauthorized credentials.",
"error_url": "https://stytch.com/docs/api/errors/401"
}{
"status_code": 429,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "too_many_requests",
"error_message": "Too many requests have been made.",
"error_url": "https://stytch.com/docs/api/errors/429"
}{
"status_code": 500,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "internal_server_error",
"error_message": "Oops, something seems to have gone wrong, please reach out to support@stytch.com to let us know what went wrong.",
"error_url": "https://stytch.com/docs/api/errors/500"
}Delete a ’s
organization_external_id.Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Headers
A Stytch session that can be used to run the request with the given member's permissions.
A Stytch Session JSON Web Token (JWT) that can be used to run the request with the given member's permissions.
Path Parameters
⌘I